Subject: Re: [PATCH 2/2] SubmittingPatches: describe cover letter

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2026 22:36:47 +0900

Patrick Steinhardt <[email-masked]> writes:

> On Tue, Jun 02, 2026 at 06:08:08PM +0900, Junio C Hamano wrote:
>> We talk about how a commit log message should look like, but do not
>> give advice on writing the cover letter to sell a series to widest
>
> s/to widest/to the widest/?

Thanks.

>> +[[cover-letter]]
>> +=== Cover Letter
>> +
>> +The purpose of your cover letter is to sell your changes, explain what
>> +they are about, and get your target audience interested enough to read
>> +the patches.
>> +
>> +. Make sure your target audience can understand what the patches are
>> +  about and why they are needed without prior context.
>> +
>> +. For a second or subsequent iteration of the same topic, make sure
>> +  people who missed the earlier discussion can still understand what
>> +  the patches are about, so they can judge if the topic is worth their
>> +  time to read and comment on.
>> +
>> +. To help those who are familiar with earlier iterations, give a
>> +  summary of changes since the previous rounds.
>
> We might also recommend to include a range-diff in subsequent
> iterations. That being said though, I just sent a small series to the
> mailing list that recommends using b4, and there it get this for free.
> So no idea whether it's still worth it to then cover this here
> explicitly.

I think these are orthogonal.  What b4 helps you with is the shape
of the letter, how it looks like.  This update is about the contents
in the letter, what you convey to your readers.

Of course, "format-patch --cover-letter" also lets you do range-diff
or interdiff, so they come for free.  But the above description is
not tied to any particular tool to prepare your cover letter.